Cyberduck Mountain Duck CLI

#7510 closed defect (fixed)

Prompt to switch to secured FTP Connection always shows

Reported by: asfaltboy Owned by: dkocher
Priority: normal Milestone: 4.4.1
Component: interface Version: 4.4
Severity: normal Keywords: FTP, FTP-SSL, SSL, Unsecured, connection
Cc: Architecture: Intel
Platform: Windows 7

Description

The dialog box in question:

[Window Title]
Unsecured FTP connection

[Main Instruction]
Unsecured FTP connection

[Content]
The server supports encrypted connections. Do you want to switch to FTP-SSL?

[ ] Don't show again  [Continue] [Change]

[Footer]
Help

The issue:

Checking "Don't show again" doesn't seem to have any effect on the same server. The dialog keeps reappearing on every reconnect to the server (i.e on a new session or after a passed interval)

Expected behavior:

Clicking on "Don't show again" should actually flag this server as not requiring ftp-ssl for as long as the user wants (i.e: display the choice the client made in bookmark settings - over a yellow notification background).

(observed on build: 13577)

Attachments (1)

unsecured_ftp_connection.png (22.0 KB) - added by asfaltboy on Oct 26, 2013 at 10:47:33 AM.
Unsecured FTP Connection

Download all attachments as: .zip

Change History (9)

Changed on Oct 26, 2013 at 10:47:33 AM by asfaltboy

Unsecured FTP Connection

comment:1 Changed on Oct 27, 2013 at 9:08:31 AM by dkocher

  • Milestone set to 4.4.1
  • Owner changed from dkocher to yla

comment:2 Changed on Oct 28, 2013 at 9:51:57 AM by dkocher

  • Owner changed from yla to dkocher
  • Status changed from new to assigned
  • Summary changed from Unsecured FTP Connection dialog box always shows to Prompt to switch to secured FTP Connection always shows

comment:3 Changed on Oct 28, 2013 at 9:52:53 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r13596.

comment:4 Changed on Oct 29, 2013 at 4:42:07 PM by dkocher

#7523 closed as duplicate.

comment:5 Changed on Oct 29, 2013 at 4:42:17 PM by dkocher

#7524 closed as duplicate.

comment:6 Changed on Oct 29, 2013 at 4:42:30 PM by dkocher

Please update to the latest snapshot build available.

comment:7 Changed on Nov 11, 2013 at 9:40:00 AM by dkocher

#7589 closed as duplicate.

comment:8 Changed on Nov 21, 2013 at 3:49:09 PM by dkocher

#7618 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software